@echo off
pushd %~dp0

IF EXIST %Windir%\System32\cmd.exe  set SysPath=%Windir%\System32
IF EXIST %Windir%\Sysnative\cmd.exe set SysPath=%Windir%\Sysnative

::부팅 드라이브 확인
if exist %Windir%\bootdrive.cmd call %Windir%\bootdrive.cmd

::방화벽 허용 등록

set name="BaiduYunGuanjia"
%SysPath%\netsh advfirewall firewall add rule name=%name% program="%bootdrive%\ProgramFiles\cloud\baiduyunguanjiaportable\app\baiduyunguanjia\baiduyunguanjia.exe" protocol=TCP action=allow remoteip=any dir=in
%SysPath%\netsh advfirewall firewall add rule name=%name% program="%bootdrive%\ProgramFiles\cloud\baiduyunguanjiaportable\app\baiduyunguanjia\baiduyunguanjia.exe" protocol=TCP action=allow remoteip=any dir=out

start BaiduYunGuanjiaPortable.exe
exit
